


XDIFF(1L)                 UNIX System V                 XDIFF(1L)



NAME
     xdiff - X11/Motif based file comparator and merge tool.

SYNOPSIS
     xdiff [options] path1 path2
     xdiff options are:
     [-Dwib] [-N <stdin name>]
     [-numbers <True|False>] [-tabs <number>]
     [-L <leftDefine> ] [-R <rightDefine>]

OVERVIEW
     xdiff is a graphical browser for viewing the differences
     between two files and can be used to produce a merged
     version.  The texts of the two files are presented side by
     side with their differences highlighted for easy
     identification.

     The two paths supplied on the command line identify the
     files to be compared.  One of the two paths must be a file.
     The other may be one of three things.  A directory, in which
     case the last component of the file name will be appended to
     the directory to form the other file name, a '-', in which
     case the input for that path will be read from standard
     input or simply another file. The paths may be specified in
     either order ie directory first or second. Their order
     specifies which side of the display the file will appear.
     The first path will be placed on the left and the second
     path on the right.

OPTIONS FOR XDIFF
     -N <stdin name>
          When input is read from stdin this option specifies the
          string to use in place of it's name in the title bar.
          If not specified the string "<stdin>" is used.

     -D
          If there are no differences then exit quietly with exit
          code of 0.

     -w
          Passed on to diff(1). Ignore whitespace when comparing
          the two files.

     -b
          Passed on to diff(1). Ignore trailing blanks when
          comparing the two files.

     -i
          Passed on to diff(1). Ignore case when comparing the
          two files.

     -



Page 1                                         (printed 10/20/95)






XDIFF(1L)                 UNIX System V                 XDIFF(1L)



          Not really an option. Use stdin as one of the files.
          See above.

     -numbers [True|False]
          Set the line number resource to the specified value.
          This overrides the value specified in the resources. If
          True xdiff will display line numbers on startup.

     -tabs <number>
          Set the tabWidth resource to the specified value.  When
          displaying the text tabs will be expanded to 'number'
          of spaces.  This overrides the value specified in the
          resources. This is for display purposes only and will
          not affect the resulting output of a merge.

     -R <rightDefine>

     -L <leftDefine>

	 -C <diff command>

     gdiff options
          In addition to the above options xdiff also allows, but
          ignores, the following options.
          -W, -p x,y, -s x,y, -f font

DESCRIPTION
     The xdiff window is divided into 4 main areas. These are,
     the menu bar at the top of the window, a message line just
     below it, an overview area on the right side of the window
     and a text area occupying the remainder. The text area is
     further divided into two text windows, one for each file, a
     vertical slider between them and a horizontal slider
     underneath each text area. Each text area may be augmented
     with an area containing line numbers.

TEXT WINDOWS
     xdiff uses diff(1) to determine the differences between the
     two files.  The text of the two files is displayed in two
     scrollable windows in the main area of the window.
     Differences are highlighted using different colours for the
     foreground and background. These may be specified by the
     user as described below in the section on user preferences.
     A vertical slider separates the two text areas and controls
     the vertical positioning of both text areas simultaneously.
     The size of the thumb of the slider is scaled to represent
     the amount of text visible in the windows.

     When line numbers are displayed they will appear in a window
     to the left of each of the text regions. For regions of a
     file where text is absent there will be no line number
     displayed.  Line numbers are preserved after any cut copy or
     paste operation.




Page 2                                         (printed 10/20/95)






XDIFF(1L)                 UNIX System V                 XDIFF(1L)



OVERVIEW WINDOW
     The overview window appears at the right side of the xdiff
     window. It's purpose is to show graphically, the number,
     location and size of the differences between the two files.
     This display consists of two columns representing the files
     and their differences and an area in between where lines
     indicate where the differences occur with respect to the
     other file.  A small arrow is shown in each column and
     represents the position of the cursor line in that file.
     The relative lengths of the files are shown by comparing the
     lengths of the two columns.


MENU BAR
     xdiff has a menu bar consisting of six buttons. These are
     listed below and described in more detail in the sections
     that follow.

     File
          Contains output commands and exit.

     Edit
          Contains undo, redo, block operations and searching.

     Global
          Contains functions that apply to the entire file.

     Region
          Contains functions that apply to a single difference
          region.

     Line
          Contains functions that apply to a single difference
          line.

     Help
          Interface to access the online help.

File Menu
     This menu is used to save merged text to a file and also to
     exit xdiff.  Before a save can be performed all differences
     must have a selection.  If not, an error message is
     displayed in the message line and the cursor line is moved
     to the first line which does not have a selection.  After a
     save to a file, a message will be displayed in the message
     line to indicate the status of the save. If the resource
     confirmWrite is set to True then a confirmation dialog is
     presented before a save allowing the user to confirm the
     write or cancel the operation. The default for the
     confirmWrite resource is True.

     If you attempt to save to the left file or the right file



Page 3                                         (printed 10/20/95)






XDIFF(1L)                 UNIX System V                 XDIFF(1L)



     when that file has been read from the standard input xdiff
     will write the output to standard output.  This allows xdiff
     to be used in a filter chain like all well behaved Unix
     utilities.

     Save as Right
          Short cut to save the merged text to the source file of
          the right text.

     Save as Left
          Short cut to save the merged text to the source file of
          the left text.

     Save As ...
          Save As will present the user with the Motif file
          selection box. If the user presses the OK button then
          the merged text will be written to the specified file
          subject to the confirmation described above.

          When writing the regions of common text using Save As
          the text from the left file is used. This may yield
          surprises if the -w -b -i flags are used. Although the
          text is indicated as being the same it may not be.
          Using Save Left or Save Right the common text is taken
          from the same file so as to minimize the problems with
          inapropriate white space.

     Exit
          Leave xdiff unconditionally.

Edit Menu
     This menu contains functions for undo, redo, block operation
     and searching.

     Undo
          Undo the last selection operation. Previous selection
          operations may be undone by repeating the undo
          operation.  The commands split left, split right, cut
          region and paste region are not undoable and will
          remove the undo history.  Cut and paste are
          complementary operations and can be used to undo each
          other.

     Redo
          After an undo the selection may be restored by using
          the redo command.  Successive selections may be
          restored by repeating the redo operation.

     Set Mark
          The cursor line is set as the mark line. When the
          cusror line is moved the marked region is extended to
          the new position of the cursor line.  This region is



Page 4                                         (printed 10/20/95)






XDIFF(1L)                 UNIX System V                 XDIFF(1L)



          used by the Cut Region and Copy Region commands below.

     Copy Region
          Copy the marked region to the cut buffer. The Marked
          region is cleared after the copy.

     Cut Region
          Delete the marked region. Save it in the cut buffer.

     Paste Region
          Insert the contents of the cut buffer after the cursor
          line. The cut buffer is cleared after the paste
          operation.

     Search ...
          Search will present a dialog box containing an editable
          text feild and a Search and Cancel button.  The user
          may enter a regular expression in the text feild to
          specify the search pattern.  Pressing the Search button
          will initiate the search on all text in both files. A
          small diamond will appear in the overview area for each
          line that matches the search pattern. To move to a
          match you may click on one of the diamonds in the
          overview area or use the Search Next or Search Previous
          buttons from this menu.

     Search Next
          Move the cursor from its current position to the next
          match from either file.  If there are no more matches
          then it the cursor is positioned at the bottom.

     Search Previous
          Move the cursor from its current position to the
          previous match from either file.  If there are no more
          matches then it the cursor is positioned at the top.

Global Menu
     This menu contains operation that affect the entire file.

     Select Left
          Selects all the difference regions from the left file.

     Select Right
          Selects all the difference regions from the right file.

     Select Neither
          All difference regions are not selected.  Only common
          text will be included in any merged output.

     Unselect
          Removes all selections that have been made.




Page 5                                         (printed 10/20/95)






XDIFF(1L)                 UNIX System V                 XDIFF(1L)



     Tabs 4
          Specifies that tabs should be expanded to 4 spaces.

     Tabs 8
          Specifies that tabs should be expanded to 8 spaces.

     Line Numbers
          This will toggle the display of line numbers. When line
          numbers are displayed each text area will be augmented
          by another window to the left of the text area. This
          new window area will contain the line numbers.

Region Menu
     The functions of the Region Menu use the location of the
     cursor line to specify the region for which the function is
     to be performed.  These functions will only work when the
     cursor line is on a difference region.

     Select Right
          The entire difference region from the right file is
          selected.

     Select Left
          The entire difference region from the left file is
          selected.

     Select Neither
          Neither the left or the right region is selected.
          Neither region will be included in the merged output.

     Unselect
          Any previous selection made to this region will be
          removed.

     Split Right
          In the case when the text has changed between the left
          and the right files and it is desired to have both
          differences appear in the merged output split right can
          be used to create two difference regions so that each
          can then be selected individually.  Split right will
          list the text from the right file first and then the
          text from the left file. Any selection that has been
          previously made to the region will be applied to both
          regions after the split. This may also be performed
          using copy and paste however, this is easier for this
          specific case. This operation can not be undone.

     Split Left
          Same as Split Right except that the text from the left
          file is listed first.

Line Menu



Page 6                                         (printed 10/20/95)






XDIFF(1L)                 UNIX System V                 XDIFF(1L)



     This menu's functions use the location of the cursor line to
     specify the line for which the operation is to be performed.
     These functions will only work when the cursor line is on a
     difference.

     Select Right
          Only the cursor line is selected from the right file.

     Select Left
          Only the cursor line is selected from the left file.

     Select Neither
          The cursor line for both sides are not selected and so
          neither line will be included in the merged output.

     Unselect
          Any previous selection made to this line will be
          removed.

Help Menu
     On Context
          This menu can be used obtain help for any widget in the
          main window.  Selecting the help on context button will
          cause the cursor to change to a question mark.  Move
          this cursor to any of the widgets and click. A help
          window will appear to describe the widget and it
          interactions.

     About xdiff
          Provides general information about xdiff.


USER INTERACTION
     xdiff can be used to merge the differences from the two
     files into third or to overwrite one or both of the original
     files. To select the desired differences the user interacts
     as follows. Note that this description assumes the default
     translations described below.

     With the pointer in the left window and pressing the left
     button the cursor line moves to the line under the pointer.
     If this line is in a difference region then the the left
     region is selected. Similarly the differences in the right
     window may be selected by pressing the left button with the
     pointer on the difference in the right window.

     Pressing the middle button with the pointer in either the
     left or right windows will move the cursor line to the line
     under the pointer. If this is within a difference region
     then a selection of only the cursor line is made.  This
     allows a finer level of selection of which text will appear
     in the merged output.



Page 7                                         (printed 10/20/95)






XDIFF(1L)                 UNIX System V                 XDIFF(1L)



     Holding the Shift key while pressing the button will cause
     the region or line, as described above, to have it's
     selection removed.

     These selections may also be performed by making the
     selection in the line number areas if they are displayed.

     These interactions are defined by translations in the
     application defaults file. See the section below describing
     the translations and how they mey be customised.

     Pressing the right button while in either the left or right
     windows will post a popup menu.  This popup's methods are to
     move to other difference regions. Accelerators may be
     attached to provide quick navigation using the keyboard.

     The selections in this popup are as follows.

     Next Difference
          Go to the first line of the next difference region.

     Previous Difference
          Go to the last line of the previous difference region.

     Next Unselected
          Go the the first line of the next difference region
          that is still unselected.

     Previous Unselected
          Go the the last line of the previous difference region
          that is still unselected.

          Pressing any button while the pointer is in the
          overview area will move the cursor line to the relative
          position in the file indicated by the pointer position.
          If the pointer is in the left half of the overview
          window the line will be determined from the left file
          and from the right file if the pointer is in the right
          half.  The cursor line will then be displayed in the
          center of the text windows. If the pointer is draged
          while the button is down the cursor line will follow
          the pointer.


TRANSLATIONS and ACTIONS
     Some of the behaviour of xdiff is specified by translations.
     These translation invoke three actions to perform their
     function. To perform selections using the mouse we can write
     a translation using the action seletion(). The selection
     action takes two parameters. First is the operation.  There
     are three operations that may be specified.




Page 8                                         (printed 10/20/95)






XDIFF(1L)                 UNIX System V                 XDIFF(1L)



     select
          This specifies that the entity under pointer should be
          selected.

     unselect
          This will remove any selection for the item under the
          pointer.

     delete
          This selects neither side. The item will not appear in
          the merged output.


     The second parameter specifies the zone of influence for the
     selection.  This parameter may be either region or line.

     region
          We make selection for the entire region under the
          pointer.

     line The selection is applied only to the line under the
          cursor.


     Only button down events may to used in translations using
     the selection action. The location in the button event is
     use to determine the cursor location.

     The next action function we can talk about is the cursor
     action. This one moves the cursor line around a bit. This
     action takes only one argument and can be one of four
     things.

     up
          The cursor line is moved up one line.

     down
          The cursor line is moved down one line.

     top
          The very top is where you will find the cursor line
          after this.

     bottom
          You have sunk to the end of the file with this.

     search
          This action will search both files for a regular
          expression in a specified direction.  So i lied. This
          action takes two additional arguments. The second
          argument of this action is either 'forward' or
          'backward'. The last argument is the regular expression



Page 9                                         (printed 10/20/95)






XDIFF(1L)                 UNIX System V                 XDIFF(1L)



          to match. The following is a translation that can be
          used to search up for the top of a C function
             ~Shift<Key>-:         cursor(search backward "^{")\n\


     Now we have one more action to talk about. This one is
     really easy.  It's called scroll(). There are only two ways
     to scroll.

     up
          The text is scrolled up one half the number of visible
          lines. The cursor line is centered if possible.

     down
          Exactly the same only the other way.


     The default translations for xdiff are listed below. The
     arguments to the actions can be upper or lower case. In fact
     only the first letter is significant.

     *textForm*XmDrawingArea.translations:#override\n\
         ~Alt ~Shift<Btn1Down>:          selection(select region)\n\
         Shift<Btn1Down>:                selection(unselect region)\n\
         Alt<Btn1Down>:                  selection(delete region)\n\
         ~Alt ~Shift<Btn2Down>:          selection(select line)\n\
         Shift<Btn2Down>:                selection(unselect line)\n\
         Alt<Btn2Down>:                  selection(delete line)\n\
         <Key>osfBeginLine:              cursor(top)\n\
         <Key>osfEndLine:                cursor(bottom)\n\
         <Key>osfUp:                     cursor(up)\n\
         <Key>osfDown:                   cursor(down)\n\
         ~Ctrl<Key>osfPageDown:          scroll(down)\n\
         ~Ctrl<Key>osfPageUp:            scroll(Up)\n\

     For those of us who don't think the arrow keys are
     convenient enough to be useful, after all you have to move
     your hands from the home row,  we can add the motion keys
     from our favorite editor to the translations.  These work
     well for us vi users.

         ~Shift<Key>k:                   cursor(up)\n\
         ~Shift<Key>j:                   cursor(down)\n\
         Ctrl<Key>y:                     cursor(up)\n\
         Ctrl<Key>e:                     cursor(down)\n\
         Shift<Key>g:                    cursor(bottom)\n\
         ~Shift<Key>g:                   cursor(top)\n\
         Ctrl<Key>f:                     scroll(down)\n\
         Ctrl<Key>b:                     scroll(up)\n\

     To move between differences we can use the popup in the two
     text areas.  When using the keyboard we can add accelerators



Page 10                                        (printed 10/20/95)






XDIFF(1L)                 UNIX System V                 XDIFF(1L)



     for the buttons in that popup. This requires that the
     pointer be placed in the text area for the accelerators to
     be invoked. It can be annoying when the xdiff window comes
     up and the pointer is on the scroll bars or the line number
     areas and the accelerators are unavailable. To solve this we
     can add translations to the XmDrawingArea translations above
     and augment the translations for the scroll bars with the
     following.

         ~Alt Shift<Key>n:               cursor(prev)\n\
         ~Alt ~Shift<Key>n:              cursor(next)\n\
         Alt Shift<Key>n:                cursor(prev unselected)\n\
         Alt ~Shift<Key>n:               cursor(next unselected)\n\

     Do not add accelerators to the drawing area popups and have
     these additional translations at the same time as the cursor
     will skip 2 differences instead of just one.

     These are the translations that i have in my application
     defaults file.  This is so that i can use xdiff entirely
     from the keyboard.

     *textForm*XmDrawingArea.translations:#override\n\
         Alt<Btn1Down>:                  selection(delete region)\n\
         Alt<Btn2Down>:                  selection(delete line)\n\
         Shift<Btn1Down>:                selection(unselect region)\n\
         Shift<Btn2Down>:                selection(unselect line)\n\
         ~Alt ~Shift<Btn1Down>:          selection(select region)\n\
         ~Alt ~Shift<Btn2Down>:          selection(select line)\n\
         <Key>osfBeginLine:              cursor(top)\n\
         <Key>osfEndLine:                cursor(bottom)\n\
         ~Ctrl<Key>osfPageDown:          scroll(Down)\n\
         ~Ctrl<Key>osfPageUp:            scroll(Up)\n\
         <Key>osfUp:                     cursor(up)\n\
         <Key>osfDown:                   cursor(down)\n\
         Ctrl<Key>y:                     cursor(up)\n\
         Ctrl<Key>e:                     cursor(down)\n\
         ~Shift<Key>k:                   cursor(up)\n\
         ~Shift<Key>j:                   cursor(down)\n\
         Shift<Key>g:                    cursor(bottom)\n\
         ~Shift<Key>g:                   cursor(top)\n\
         Ctrl<Key>d:                     scroll(down)\n\
         Ctrl<Key>u:                     scroll(up)\n\
         ~Alt Shift<Key>n:               cursor(prev)\n\
         ~Alt ~Shift<Key>n:              cursor(next)\n\
         Alt Shift<Key>n:                cursor(prev unselected)\n\
         Alt ~Shift<Key>n:               cursor(next unselected)\n\
         ~Shift<Key>-:                   cursor(search backward "^{")\n\
         ~Shift<Key>=:                   cursor(search forward "^{")\n\

     *verticalScroll*translations:#override\n\
         <Key>osfBeginLine:              cursor(top)\n\



Page 11                                        (printed 10/20/95)






XDIFF(1L)                 UNIX System V                 XDIFF(1L)



         <Key>osfEndLine:                cursor(bottom)\n\
         ~Ctrl<Key>osfPageDown:          scroll(Down)\n\
         ~Ctrl<Key>osfPageUp:            scroll(Up)\n\
         <Key>osfUp:                     cursor(up)\n\
         <Key>osfDown:                   cursor(down)\n\
         Ctrl<Key>y:                     cursor(up)\n\
         Ctrl<Key>e:                     cursor(down)\n\
         ~Shift<Key>k:                   cursor(up)\n\
         ~Shift<Key>j:                   cursor(down)\n\
         Shift<Key>g:                    cursor(bottom)\n\
         ~Shift<Key>g:                   cursor(top)\n\
         Ctrl<Key>d:                     scroll(down)\n\
         Ctrl<Key>u:                     scroll(up)\n\
         ~Alt Shift<Key>n:               cursor(prev)\n\
         ~Alt ~Shift<Key>n:              cursor(next)\n\
         Alt Shift<Key>n:                cursor(prev unselected)\n\
         Alt ~Shift<Key>n:               cursor(next unselected)\n\
         ~Shift<Key>-:                   cursor(search backward "^{")\n\
         ~Shift<Key>=:                   cursor(search forward "^{")\n\


USER PREFERENCES
     In addition to customising the translations we can specify
     resources to change the colours and fonts used by xdiff.  We
     need to define some terminology first.  The differences
     obtained from diff(1) can be clasified into 4 types.

     Common
          Common text which is present in both files.

     Only
          Only text is text that appears only in one file.

     Absent
          When text is missing from a file the void is called
          Absent. This always accompanies Only text.

     Changed
          Text which has been changed between the files is called
          Changed Text.


     Unselected text will use the types above. Once a selection
     has been made the following types will apply.

     Selected
          When the user has selected one of the two sides of a
          difference then that will be selected the other side
          will become deleted.

     Deleted
          This text is not desired in the merged output. If the



Page 12                                        (printed 10/20/95)






XDIFF(1L)                 UNIX System V                 XDIFF(1L)



          user selects one side the other will be marked as
          deleted. This will used to mark both sides when the
          selection type is select neither.

     Marked
          This is to indicate the region between the mark line
          and the cursor line. This indicated the text to be used
          for the Cut or Copy operation.

          These names are used to form X11 resources names to
          determine the users preferences.

          Each of these categories may have different colours for
          foreground and background. They may also have a
          different font although i have never found a reason to
          have different fonts.  Any unspecified fonts will
          default to the font for fontCommon.  To specify the
          foreground resources name prefix the name with
          'foreground' the background is specified by prefixing
          the name with 'background'. To specify the font, prefix
          with 'font'.  From the app-defaults file the Common
          Text is specified with.

          *fontCommon:           *-clean-medium-r-normal-*-14-*
          *foregroundCommon:     black
          *backgroundCommon:     grey
          The cursor colour may be specified using the resource
          'cursorColour' This colour is used to outline the
          cursor line in the text windows and the outline of the
          trianglular indicator in the overview area.

          Lines that match the pattern specified in the search
          window may be outlined in a different colour to
          indicate the match.  The resource used to specify this
          is 'matchColour' if not specified the cursorColour is
          used.

WIDGET NAMES
     Should you wish to specify other Motif values the widget
     tree with the widget names are listed below. Children of
     widgets are shown by their indent level.  The widget class
     is shown beside the name.


     Xdiff
          Xdiff  xdiff
              XmMainWindow  mainWindow
                  XmSeparatorGadget  Separator1
                  XmSeparatorGadget  Separator2
                  XmSeparatorGadget  Separator3
                  XmRowColumn  menuBar
                      XmCascadeButton  fileMenu



Page 13                                        (printed 10/20/95)






XDIFF(1L)                 UNIX System V                 XDIFF(1L)



                      XmCascadeButton  editMenu
                      XmCascadeButton  globalMenu
                      XmCascadeButton  regionMenu
                      XmCascadeButton  lineMenu
                      XmCascadeButton  helpMenu
                      XmMenuShell  popup_fileMenu
                          XmRowColumn  fileMenu
                              XmPushButton  saveLeft
                              XmPushButton  saveRight
                              XmPushButton  saveAs
                              XmSeparator  -
                              XmPushButton  exit
                          XmRowColumn  editMenu
                              XmPushButton  undo
                              XmPushButton  redo
                              XmSeparator  -
                              XmPushButton  setMark
                              XmPushButton  cutRegion
                              XmPushButton  copyRegion
                              XmPushButton  pasteRegion
                              XmSeparator  -
                              XmPushButton  search
                              XmPushButton  searchNext
                              XmPushButton  searchPrevious
                          XmRowColumn  globalMenu
                              XmPushButton  selectGlobalLeft
                              XmPushButton  selectGlobalRight
                              XmPushButton  selectGlobalNeither
                              XmPushButton  unselectGlobal
                              XmSeparator  -
                              XmPushButton  tabs4
                              XmPushButton  tabs8
                              XmSeparator  -
                              XmPushButton  lineNumbers
                          XmRowColumn  regionMenu
                              XmPushButton  selectRegionLeft
                              XmPushButton  selectRegionRight
                              XmPushButton  selectRegionNeither
                              XmPushButton  unselectRegion
                              XmSeparator  -
                              XmPushButton  splitRight
                              XmPushButton  splitLeft
                          XmRowColumn  lineMenu
                              XmPushButton  selectLineLeft
                              XmPushButton  selectLineRight
                              XmPushButton  selectLineNeither
                              XmPushButton  unselectLine
                          XmRowColumn  helpMenu
                              XmPushButton  onContext
                              XmSeparator  -
                              XmPushButton  whatsNew
                              XmPushButton  aboutXdiff



Page 14                                        (printed 10/20/95)






XDIFF(1L)                 UNIX System V                 XDIFF(1L)



                  XmForm  mainForm
                      XmFrame  viewFrame
                          XmDrawingArea  viewWindow
                      XmForm  textForm
                          XmLabel  messageLine
                          XmSeparator  separator
                          XmScrollBar  verticalScroll
                          XmScrollBar  leftScroll
                          XmDrawingArea  leftNumbers
                          XmFrame  leftFrame
                              XmDrawingArea  leftWindow
                                  XmMenuShell  popup_leftPopup
                                      XmRowColumn  leftPopup
                                          XmPushButton  nextDifference
                                          XmPushButton  previousDifference
                                          XmSeparator  -
                                          XmPushButton  nextUnselected
                                          XmPushButton  previousUnselected
                          XmScrollBar  rightScroll
                          XmDrawingArea  rightNumbers
                          XmFrame  rightFrame
                              XmDrawingArea  rightWindow
                                  XmMenuShell  popup_rightPopup
                                      XmRowColumn  rightPopup
                                          XmPushButton  nextDifference
                                          XmPushButton  previousDifference
                                          XmSeparator  -
                                          XmPushButton  nextUnselected
                                          XmPushButton  previousUnselected
                  TransientShell  fileWindow
                      XmFileSelectionBox  fileSelector
                          XmLabelGadget  Items
                          XmScrolledWindow  ItemsListSW
                              XmScrollBar  VertScrollBar
                              XmScrollBar  HorScrollBar
                              XmList  ItemsList
                          XmLabelGadget  Selection
                          XmTextField  Text
                          XmSeparatorGadget  Separator
                          XmPushButtonGadget  OK
                          XmPushButtonGadget  Apply
                          XmPushButtonGadget  Cancel
                          XmPushButtonGadget  Help
                          XmLabelGadget  FilterLabel
                          XmLabelGadget  Dir
                          XmTextField  FilterText
                          XmScrolledWindow  DirListSW
                              XmScrollBar  VertScrollBar
                              XmScrollBar  HorScrollBar
                              XmList  DirList
                  TransientShell  confirmWindow
                      XmMessageBox  confirmMessage



Page 15                                        (printed 10/20/95)






XDIFF(1L)                 UNIX System V                 XDIFF(1L)



                          XmLabelGadget  Symbol
                          XmLabelGadget  Message
                          XmSeparatorGadget  Separator
                          XmPushButtonGadget  OK
                          XmPushButtonGadget  Cancel
                          XmPushButtonGadget  Help
                  TransientShell  searchWindow
                      XmForm  searchForm
                          XmSelectionBox  searchSelection
                              XmLabelGadget  Selection
                              XmTextField  Text
                              XmSeparatorGadget  Separator
                              XmPushButtonGadget  OK
                              XmPushButtonGadget  Apply
                              XmPushButtonGadget  Cancel
                              XmPushButtonGadget  Help
                  TransientShell  helpWindow
                      XmForm  helpForm
                          XmSelectionBox  helpSelection
                              XmLabelGadget  Selection
                              XmTextField  Text
                              XmSeparatorGadget  Separator
                              XmPushButtonGadget  OK
                              XmPushButtonGadget  Apply
                              XmPushButtonGadget  Cancel
                              XmPushButtonGadget  Help
                          XmFrame  helpFrame
                              XmScrolledWindow  messageWindow
                                  XmDrawingArea  ScrolledWindowClipWindow
                                      XmLabel  menuBar
                                  XmScrollBar  VertScrollBar
                                  XmScrollBar  HorScrollBar

FILES
     xdiff uses a temporary file when reading from stdin. This
     file will be located in $TMPDIR if it is defined otherwise
     it will be located in /usr/tmp.  The file name will be of
     the form xdiffXXXXXX.

     Application defaults for xdiff can be found in
     /usr/lib/X11/app-defaults/Xdiff.

SEE ALSO
     gdiff(1), diff(1).

AUTHOR
     Rudy Wortel <rudy@aw.sgi.com>.








Page 16                                        (printed 10/20/95)



